OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000052OMNeT++runtime / Tkenvpublic2009-03-06 14:302009-03-10 11:09
Reporterbaumgart 
Assigned Toandras 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0rc1 
Target VersionFixed in Version4.0 
Summary0000052: Simulation progress stalls in large simulations with Tkenv express mode
DescriptionDue to the new time-based GUI updates in Tkenv fast and express modes, simulation progess with large simulations sometimes stalls.

The problem is, that GUI updates take more time if there are more events / modules in a simulation. With a fixed update interval (e.g. 1000ms default in express mode) complex simulation will stall, if a GUI update takes more time than the update interval. In this case all computational resources are used to for GUI updates and no resources are left for simulation progress.

Probably you should revert update behavior to event-based intervals.
Additional InformationUbuntu, omnetpp-4.0rc2
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000121)
andras (administrator)
2009-03-08 17:32

How about excluding the GUI update time from the time interval calculation? I.e. with 1000ms, the simulation would always execute for 1000ms between two GUI updates, no matter how long GUI updates last.
(0000131)
andras (administrator)
2009-03-10 11:09

fixed as described

- Issue History
Date Modified Username Field Change
2009-03-06 14:30 baumgart New Issue
2009-03-06 14:30 baumgart Assigned To => andras
2009-03-08 17:32 andras Note Added: 0000121
2009-03-10 11:09 andras Note Added: 0000131
2009-03-10 11:09 andras Status new => resolved
2009-03-10 11:09 andras Fixed in Version => 4.0
2009-03-10 11:09 andras Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker